> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel Email by Channel ID

> Returns the public contact email(s) for a YouTube channel given its channel ID (e.g. UCdcUmdOxMrhRjKMw-BX19AA).



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/channel/{channel_id}/email
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/channel/{channel_id}/email:
    get:
      tags:
        - Channel
      summary: Get Channel Email by Channel ID
      description: >-
        Returns the public contact email(s) for a YouTube channel given its
        channel ID (e.g. UCdcUmdOxMrhRjKMw-BX19AA).
      operationId: Get_Channel_Email_By_Id
      parameters:
        - name: channel_id
          in: path
          required: true
          schema:
            type: string
            default: UCdcUmdOxMrhRjKMw-BX19AA
      responses:
        '200':
          description: Array of emails will be returned
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_youtube_channel_channel_id_email_Response
              example:
                code: 200
                data:
                  email:
                    - nikoenquiries@gmail.com
                    - ndlstories@gmail.com
                  status: succ
                message: Success
        '400':
          description: Bad request
        '401':
          description: Unauthorized - invalid API key
        '429':
          description: Rate limit exceeded
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_channel_channel_id_email_Response:
      type: object
      properties:
        code:
          type: integer
        data:
          type: object
          properties:
            email:
              type: array
              items:
                type: string
            status:
              type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.